/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\Mobiles\Monsters\Elemental\Melee\SnowElemental.cs
Lines of code: 75
***********************************************************/


using System;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a snow elemental corpse" )]
	public class SnowElemental : BaseCreature
	{
		[Constructable]
		public SnowElemental() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a snow elemental";
			Body = 163;
			BaseSoundID = 263;

			SetStr( 326, 355 );
			SetDex( 166, 185 );
			SetInt( 71, 95 );

			SetHits( 196, 213 );

			SetDamage( 11, 17 );

			SetDamageType( ResistanceType.Physical, 20 );
			SetDamageType( ResistanceType.Cold, 80 );

			SetResistance( ResistanceType.Physical, 45, 55 );
			SetResistance( ResistanceType.Fire, 10, 15 );
			SetResistance( ResistanceType.Cold, 60, 70 );
			SetResistance( ResistanceType.Poison, 25, 35 );
			SetResistance( ResistanceType.Energy, 25, 35 );

			SetSkill( SkillName.MagicResist, 50.1, 65.0 );
			SetSkill( SkillName.Tactics, 80.1, 100.0 );
			SetSkill( SkillName.Wrestling, 80.1, 100.0 );

			Fame = 5000;
			Karma = -5000;

			VirtualArmor = 50;

			PackItem( new IronOre( 3 ) );
			PackItem( new BlackPearl( 3 ) );
		}
		
		public override int AuraDamageMin {get{return 30;}}		
		public override int AuraDamageMax {get{return 45;}}		
		
		public override double AuraChance {get{return 1;}} 
		public override int AuraDelayMin {get{return 7;}}
		public override int AuraDelayMax {get{return 12;}}
		
		public override int AuraEffectID {get{return 0x374A;}}			//effect item id shown on affected mobiles
		public override int AuraEffectType {get{return 9502;}}		//effect id shown on affected mobiles 9502
		public override int AuraEffectHue {get{return 97;}} 			//effect hue to show on affected mobiles 0x835
		public override int AuraEffectRender {get{return 3;}} 			//effect render mode to show on affected mobiles 0x496
		public override int AuraEffectSound {get{return 0x10B;}}			//effect sound id to show on affected mobiles		
		
		public override int AuraDamagePhys {get{return 0;}}
		public override int AuraDamageFire {get{return 0;}}
		public override int AuraDamageCold {get{return 100;}}
		public override int AuraDamagePoison {get{return 0;}}
		public override int AuraDamageEnergy {get{return 0;}}
		public override int AuraDamageChaos {get{return 0;}}
		public override int AuraDamageDirect {get{return 0;}} 	
		
		public override TextDefinition AuraEffectText {get{return "You are hit by piercing cold!";}}//cliloc/string sent to affected mobiles				
		public override int AuraRange {get{return 7;}}				//the range in tiles, of the aura
		public override bool AuraIgnoreLOS {get{return false;}}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich );
		}

		public override bool BleedImmune{ get{ return true; } }

		public override int TreasureMapLevel{ get{ return Utility.RandomList( 2, 3 ); } }

		public SnowElemental( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}